/* ------------------------------------------------------------------------- */
/*
 *  hcssconv.cpp
 *
 *  Copyright (c) 2007 "clown". All rights reserved.
 *
 *  Permission to copy, use, modify and distribute this software is
 *  granted provided this copyright notice appears in all copies.
 *  This software is provided "as is" without express or implied
 *  warranty, and with no claim as to its suitability for any purpose.
 *
 *  Last-modified: Fri 06 Apr 2007 00:25:16 JST
 */
/* ------------------------------------------------------------------------- */
#include <cstdlib>
#include <iostream>
#include "hcss.h"

int main(int argc, char* argv[]) {
	if (argc < 2) {
		std::cerr << "usage hcssconv filename" << std::endl;
		std::exit(-1);
	}
	
	try {
		clx::hcss hc(argv[1]);
		
		// print
		for (size_t i = 0; i < hc.size(); i++) {
			if (hc.property(i).empty()) continue;
			std::cout << hc.tag(i) << " {" << std::endl;
			for (size_t j = 0; j < hc.property(i).size(); j++) {
				std::cout << "  " << hc.property(i).at(j) << std::endl;
			}
			std::cout << '}' << std::endl;
			std::cout << std::endl;
		}
	}
	catch (std::runtime_error& e) {
		std::cerr << e.what() << std::endl;
		std::exit(-1);
	}
	
	return 0;
}
